Cyberduck Mountain Duck CLI

#10191 closed defect (fixed)

Cannot upload a directory if its name contains a single quote

Reported by: Vh1F8t3vYxtu Owned by:
Priority: low Milestone: 6.9.0
Component: googledrive Version: 6.3.3
Severity: normal Keywords: single quote directory folder name
Cc: Architecture:
Platform: Windows 7

Description

This issue is specifically about Google Drive. I tried the same scenario on a FTP server and it worked.

  • On local computer, create a directory containing a single quote in its name (e.g. foo'bar)
  • Put some file in the directory. There is no issue if the directory is empty.
  • Drag'n'drop the directory to your Google Drive.

Here is the encountered error:

Listing directory failed (/My Drive/Music backups).
Invalid Value. Bad Request. Please contact your web hosting service provider for assistance.
Continue

The directory itself is created, but not its contents. I can also navigate into the directory (but of course it is empty).

Cyberduck 6.3.3 / Windows 7 64-bit

Change History (12)

comment:1 Changed on Jan 10, 2018 at 1:07:48 PM by dkocher

Related to #9792.

comment:2 Changed on Jan 14, 2018 at 3:41:00 PM by Vh1F8t3vYxtu

I have just encountered the same issue with character "À". Interestingly, it works with e.g. "é", so it's about accentuated uppercase. Also note the error message is different:

File not found
/My Drive/Music backups/foo À bar. Please contact your web hosting service provider for assistance.
Continue

Also, I have the setting "Uploads: Preserve modification date" enabled (which btw doesn't affect the issue) and I just noticed files with quotes or "À", etc. in their names don't have their timestamp corrected.

comment:3 follow-up: Changed on Mar 1, 2018 at 7:05:46 PM by Vh1F8t3vYxtu

Last edited on Mar 2, 2018 at 1:54:34 PM by Vh1F8t3vYxtu (previous) (diff)

comment:4 in reply to: ↑ 3 Changed on Mar 1, 2018 at 7:41:06 PM by dkocher

Replying to Vh1F8t3vYxtu:

I searched a bit about this, and it's a known issue in Google Drive...

Then I found, more interesting:

Which links to:

Thanks for digging into this!

Last edited on Mar 2, 2018 at 1:49:07 PM by Vh1F8t3vYxtu (previous) (diff)

comment:5 Changed on Mar 2, 2018 at 1:54:05 PM by Vh1F8t3vYxtu

I guess the first part of the workaround would go to https://g.iterate.ch/projects/ITERATE/repos/cyberduck/browse/googledrive/src/main/java/ch/cyberduck/core/googledrive/FileidDriveListService.java#35.

But I haven't figured out how to add the subsequent "filter false positives" part.

Probably, a developer of Cyberduck could easily solve this :)

comment:6 Changed on Aug 15, 2018 at 6:20:35 PM by Vh1F8t3vYxtu

On June, Google marked issue 64468406 as resolved, but it's only partially fixed:

  • fixed: folder name with accents
  • not fixed: folder name with single quotes (and folder not empty)

Thus, I'm kindly asking to consider implementing the workaround I linked to above.

This way, we wouldn't depend on Google to fix the bug on their side, waiting for months/years, if ever they fix it some day...

comment:7 Changed on Sep 4, 2018 at 10:36:33 AM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #9792.

comment:8 Changed on Sep 25, 2018 at 7:56:02 PM by dkocher

  • Priority changed from high to low
  • Resolution duplicate deleted
  • Severity changed from major to normal
  • Status changed from closed to reopened

comment:9 Changed on Jan 10, 2019 at 12:57:37 PM by dkocher

  • Milestone set to 6.9.0

comment:10 Changed on Jan 10, 2019 at 3:17:09 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r45991.

comment:11 follow-up: Changed on Jan 12, 2019 at 1:25:39 AM by Vh1F8t3vYxtu

Just to point out a few more changes have been made in addition to r45991. There is also the subsequent r45992, and more tests have been added in r45993 and r45994.

comment:12 in reply to: ↑ 11 Changed on Jan 13, 2019 at 10:49:56 AM by dkocher

Replying to Vh1F8t3vYxtu:

Just to point out a few more changes have been made in addition to r45991. There is also the subsequent r45992, and more tests have been added in r45993 and r45994.

Thanks for keeping track of these additional changes.

Note: See TracTickets for help on using tickets.
swiss made software